﻿// =================================================================================================
// Copyright © Woodlands Solutions, LLC. 2008-2012.  All Rights Reserved.
// Author :  Steve Wall
// Date   :  09/13/2012
// =================================================================================================

#region Using Statements
using System;
#endregion

namespace XamFormulaEditor
{
    public class Deal
    {
        public DateTime BeginDate { get; set; }
        public DateTime EndDate { get; set; }
        public double Volume { get; set; }
        public double Price { get; set; }
        public string PriceFormula { get; set; }

        public Deal()
        {
        }

        public Deal(DateTime beginDate, DateTime endDate, double volume, double price, string priceFormula)
        {
            this.BeginDate = beginDate;
            this.EndDate = endDate;
            this.Volume = volume;
            this.Price = price;
            this.PriceFormula = priceFormula;
        }
    }
}
